--edited for new textures and a pillow added

local S = cottages.S

-- a bed without functionality - just decoration
minetest.register_node("cottages:bed_foot", {
	description = S("Bed (foot region)"),
	--inventory_image = "cottages_bed_side_2.png",
	drawtype = "nodebox",
	tiles = {
	  "cottages_bed_bottom.png", "cottages_minimal_wood.png",
	  "cottages_bed_side_2.png^[transformFX", "cottages_bed_side_2.png",
	  "cottages_minimal_wood.png",  "cottages_minimal_wood.png"
	  },
	paramtype = "light",
	paramtype2 = "facedir",
	groups = {snappy=1,choppy=2,oddly_breakable_by_hand=2,flammable=3},
	sounds = default.node_sound_wood_defaults(),
	node_box = {
		type = "fixed",
		fixed = {
					-- bed
					{-0.5, 0.0, -0.5, 0.5, 0.3, 0.5},

					-- stützen
					{-0.5, -0.5, -0.5, -0.4, 0.5, -0.4},
					{  0.4,-0.5, -0.5, 0.5,  0.5, -0.4},

                                        -- Querstrebe
					{-0.4,  0.3, -0.5, 0.4, 0.5, -0.4}
				}
	},
	selection_box = {
		type = "fixed",
		fixed = {
					{-0.5, -0.5, -0.5, 0.5, 0.3, 0.5},
				}
	},
	is_ground_content = false,
	on_rightclick = function(pos, node, clicker, itemstack, pointed_thing)
				return cottages.sleep_in_bed( pos, node, clicker, itemstack, pointed_thing );
			end
})

-- the bed is split up in two parts to avoid destruction of blocks on placement
minetest.register_node("cottages:bed_head", {
	description = S("Bed (head region)"),
		--inventory_image = "cottages_bed_side_1.png",
	drawtype = "nodebox",
 tiles = {
   "cottages_bed_top.png", "cottages_minimal_wood.png",
   "cottages_bed_side_1.png^[transformFX", "cottages_bed_side_1.png",
   "cottages_minimal_wood.png", "cottages_bed_headboard.png"
   },
	paramtype = "light",
	paramtype2 = "facedir",
	groups = {snappy=1,choppy=2,oddly_breakable_by_hand=2,flammable=3},
	sounds = default.node_sound_wood_defaults(),
node_box = {
		type = "fixed",
		fixed = {
					-- bed
					{-0.4375, 0.25, 0.1, 0.4375, 0.375, 0.5},--pillow
					{-0.5, 0.0, -0.5, 0.5, 0.3, 0.5},

					-- stützen
					{-0.5,-0.5, 0.4, -0.4, 0.5, 0.5},
					{ 0.4,-0.5, 0.4,  0.5, 0.5, 0.5},

                                        -- Querstrebe
					{-0.4,  0.3,  0.4, 0.4, 0.5,  0.5}
				}
	},
	selection_box = {
		type = "fixed",
		fixed = {
					{-0.5, -0.5, -0.5, 0.5, 0.3, 0.5},
				}
	},
	is_ground_content = false,
	on_rightclick = function(pos, node, clicker, itemstack, pointed_thing)
				return cottages.sleep_in_bed( pos, node, clicker, itemstack, pointed_thing );
			end
})